dual_splitter: xdualsplitter_example.c File Reference

| dual_splitter Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Macros | Functions | Variables
xdualsplitter_example.c File Reference

## Overview

This file contains an example of how to use the Dual Splitter driver.

Note
  None.

    MODIFICATION HISTORY:

    Ver   Who Date     Changes

    1.00  sha 08/05/14 Initial release.

## Macros
#define | XDUALSPLITTER_DEVICE_ID XPAR_DUALSPLITTER_0_DEVICE_ID
| The following constants map to the XPAR parameters created in the xparameters.h file. More...

## Functions
int | XDualSplitterExample (u16 DeviceId)
| This function demonstrates the use of Dual Splitter driver functions. More...
int | main (void)
| This is the main function for Dual Splitter example. More...

## Variables
XDualSplitter | DualSplitterInst
| Instance of the Dual Splitter core. More...

## Macro Definition Documentation

#define XDUALSPLITTER_DEVICE_ID XPAR_DUALSPLITTER_0_DEVICE_ID

The following constants map to the XPAR parameters created in the xparameters.h file.

They are defined here such that a user can easily change all the needed parameters in one place.

Referenced by main().

## Function Documentation

int main | ( | void |  | ) |

This is the main function for Dual Splitter example.

Parameters

  None. |

Returns
  - XST_SUCCESS if Dual Splitter example ran successfully.
  - XST_FAILURE if Dual Splitter example failed.

Note
  None

References XDUALSPLITTER_DEVICE_ID, and XDualSplitterExample().

int XDualSplitterExample | ( | u16 | DeviceId | ) |

This function demonstrates the use of Dual Splitter driver functions.

Parameters

  DeviceId | is the unique device ID of the Dual Splitter core.

Returns
  - XST_SUCCESS if Dual Splitter example ran successfully.
  - XST_FAILURE if Dual Splitter example failed.

Note
  None.

References XDualSplitter_Config::BaseAddress, XDualSplitter_CfgInitialize(), XDualSplitter_Enable, XDualSplitter_LookupConfig(), XDualSplitter_RegUpdateDisable, XDualSplitter_RegUpdateEnable, XDualSplitter_SetImageSize(), and XDualSplitter_SetImgParam().

Referenced by main().

## Variable Documentation

XDualSplitter DualSplitterInst

Instance of the Dual Splitter core.